Subject: bug#23184: 25.0.92; User-friendly way to override doc-view-mode as MIME viewer

From: Teemu Likonen <[email-masked]>
Date: Sat, 09 Apr 2016 12:27:38 +0300

Tassilo Horn [2016-04-08 22:46:49+02] wrote:

> (2) Or maybe we could add a customizable list `mailcap-user-mime-data'
>     (better name welcome) which would override `mailcap-mime-data',
>     i.e., if a viewer is specified there, then `mailcap-mime-data' with
>     the heuristics around it won't even be consulted.

> Any better suggestions?  If not, I can do that.  (In case I'd implement
> that, should that go only into master or emacs-25?)

I don't oppose mailcap-user-mime-data but I think user shouldn't be
forced to duplicate his mailcap configuration inside Emacs. User already
has his system's mailcap settings and many programs respect that. Why
doesn't Emacs? (Ok, it does but with its own preferences of
doc-view-mode etc.)

How about a variable like mailcap-prefer-system-mailcap with a non-nil
value would put the priority of doc-view-mode (and every viewer Emacs
offers) below system's mailcap configuration?